<nav>
    <div class="lg-nav d-none d-md-block d-lg-block">
        <span class="logo">
            <img src="{{ asset('build/images/top_logo.png') }}" alt="TopKraft"/>
        </span>
        <span class="navigation">
            <a href="#about" class="navigation active">{{ 'nav.about'|trans() }}</a>
            <a href="#catalog" class="navigation">{{ 'nav.catalog'|trans() }}</a>
            {#    <a href="#eshop">{{ 'nav.eshop'|trans() }}</a>#}
            {#    <a href="#cooperation" class="navigation">{{ 'nav.cooperation'|trans() }}</a>#}
            <a href="#contact" class="navigation">{{ 'nav.contact'|trans() }}</a>
            <a class="dropdown-toggle" id="dropdownMenu2" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                {% set localeTrans = 'nav.' ~ locale %}
                {{ localeTrans|trans() }}
            </a>
            <div class="dropdown-menu">
                {% for availableLocale in locales %}
                    {% set localeTrans = 'nav.' ~ availableLocale %}
                    <a href="{{ path('index', {'_locale': availableLocale}) }}" {% if locale == availableLocale %}class="active"{% endif %}>{{ localeTrans|trans }}</a>
                {% endfor %}
            </div>
        </span>
    </div>

    {# Mobile navigation #}
    <div class="xs-nav d-block d-md-none d-lg-none">
        <div class="logo">
            <img src="{{ asset('build/images/top_logo.png') }}" alt="TopKraft"/>
        </div>
        <input type="checkbox" id="toggle" />
        <div class="hamburger">
            <span></span>
            <span></span>
            <span></span>
        </div>
        <div class="mobile-navigation">
            <a href="#about" class="navigation active">{{ 'nav.about'|trans() }}</a>
            <hr />
            <a href="#catalog" class="navigation">{{ 'nav.catalog'|trans() }}</a>
            <hr />
            <a href="#contact" class="navigation">{{ 'nav.contact'|trans() }}</a>
            <hr />
            {% for availableLocale in locales %}
                {% set localeTrans = 'nav.' ~ availableLocale %}
                <a href="{{ path('index', {'_locale': availableLocale}) }}" class="locales {% if locale == availableLocale %}active{% endif %}">{{ localeTrans|trans }}</a>
                {% if not loop.last %}<span class="divider"> |</span>{% endif %}
            {% endfor %}
        </div>
    </div>
</nav>
